CVE-2018-18499

Priority
Description
A same-origin policy violation allowing the theft of cross-origin URL
entries when using a meta http-equiv="refresh" on a page to cause a
redirection to another site using performance.getEntries(). This is a
same-origin policy violation and could allow for data theft. This
vulnerability affects Firefox < 62, Firefox ESR < 60.2, and Thunderbird <
60.2.1.
Notes
 tyhicks> mozjs contains a copy of the SpiderMonkey JavaScript engine
Assigned-to
chrisccoulson
Package
Upstream:released (62.0)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needs-triage)
Ubuntu 16.04 LTS (Xenial Xerus):released (62.0+build2-0ubuntu0.16.04.3)
Ubuntu 18.04 LTS (Bionic Beaver):released (62.0+build2-0ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (62.0+build2-0ubuntu1)
Ubuntu 19.04 (Disco Dingo):released (62.0+build2-0ubuntu1)
Ubuntu 19.10 (Eoan):released (62.0+build2-0ubuntu1)
Package
Upstream:released (60.2.0esr-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):needs-triage
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):needs-triage
Ubuntu 18.10 (Cosmic Cuttlefish):ignored (reached end-of-life)
Ubuntu 19.04 (Disco Dingo):needs-triage
Ubuntu 19.10 (Eoan):needs-triage
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):ignored (reached end-of-life)
Ubuntu 19.04 (Disco Dingo):needs-triage
Ubuntu 19.10 (Eoan):needs-triage
Package
Priority: Low
Upstream:released (60.2.1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needs-triage)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:60.2.1+build1-0ubuntu0.16.04.4)
Ubuntu 18.04 LTS (Bionic Beaver):released (1:60.2.1+build1-0ubuntu0.18.04.2)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1:60.2.1+build1-0ubuntu1)
Ubuntu 19.04 (Disco Dingo):released (1:60.2.1+build1-0ubuntu1)
Ubuntu 19.10 (Eoan):released (1:60.2.1+build1-0ubuntu1)
More Information

Updated: 2019-07-18 17:32:46 UTC (commit 649f8c6455205380e35ed054e9ea734222c716bb)